Page MenuHomePhabricator

[llvm] Teach FastISel for AArch64 about tagged globals
ClosedPublic

Authored by leonardchan on Nov 23 2022, 2:49 PM.

Details

Summary

This addresses https://github.com/llvm/llvm-project/issues/57750. For some globals, the tag wasn't propagated correctly because the necessary movk wasn't emitted sometimes.

Diff Detail

Event Timeline

leonardchan created this revision.Nov 23 2022, 2:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 23 2022, 2:49 PM
leonardchan requested review of this revision.Nov 23 2022, 2:49 PM
pcc added a comment.Nov 23 2022, 3:39 PM

Test case?

Can we extract a function out of the code in AArch64ExpandPseudoInsts.cpp?

Test case?

Can we extract a function out of the code in AArch64ExpandPseudoInsts.cpp?

Done. Wasn't sure if any existing headers made sense to add a function, so I made a new one.

vitalybuka resigned from this revision.Nov 28 2022, 3:02 PM
pcc accepted this revision.Dec 5 2022, 12:46 PM

LGTM

This revision is now accepted and ready to land.Dec 5 2022, 12:46 PM
This revision was landed with ongoing or failed builds.Dec 5 2022, 2:17 PM
This revision was automatically updated to reflect the committed changes.